Name:           i3status
Version:        2.11
Release:        1%{?dist}
Summary:        Status bar generator for i3bar, dzen2, xmobar or similar programs
License:        MIT
URL:            http://i3wm.org/i3status/
Source0:        http://i3wm.org/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  alsa-lib-devel
BuildRequires:  asciidoc
BuildRequires:  libconfuse-devel
BuildRequires:  wireless-tools-devel
BuildRequires:  yajl-devel
BuildRequires:  libnl3-devel
BuildRequires:  pulseaudio-libs-devel

%description
i3status is a small program for generating a status bar for i3bar, dzen2, 
xmobar or similar programs. It is designed to be very efficient by issuing a 
very small number of system calls, as one generally wants to update such a 
status line every second. This ensures that even under high load, your status 
bar is updated correctly. Also, it saves a bit of energy by not hogging your 
CPU as much as spawning the corresponding amount of shell commands would.

%prep
%setup -q
rm -frv yajl-fallback/
# Preserve timestamps, drop setcap.
sed -i 's|install -m|install -pm|g;/setcap/d' Makefile

%build
%make_build EXTRA_CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" PREFIX=%{_prefix} V=1

%install
%make_install PREFIX=%{_prefix}

%files
%doc CHANGELOG
%license LICENSE
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man*/%{name}*

%changelog
* Sun Jan 22 2017 Christian Dersch <lupinix@mailbox.org> - 2.11-1
- new version

* Wed Jun 15 2016 Jon Ciesla <limburgher@gmail.com> - 2.10-3
- libconfuse rebuild.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 Martin Preisler <mpreisle@redhat.com> - 2.10-1
- Update to 2.10
- Added new deps - libnl3 and pulseaudio

* Thu Sep 17 2015 Christopher Meng <rpm@cicku.me> - 2.9-1
- Update to 2.9

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 20 2014 Martin Preisler <mpreisle@redhat.com> - 2.8-1
- New upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 09 2013 Simon Wesp <cassmodiah@fedoraproject.org> - 2.7-1
- New upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 Martin Preisler <mpreisle@redhat.com> - 2.6-1
- Updated to 2.6

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 06 2012 Martin Preisler <mpreisle@redhat.com> - 2.5.1-1
- Updated to 2.5.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 11 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.1-1
- New upstream release

* Sat Mar 20 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-4.20100320git
- Update to current git

* Fri Feb 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-2
- Some bugfixes (sync with upstream)

* Wed Dec 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-1
- Package build for Fedora
